RFC 08 Search Results
RFC 08 Price and Stock
Coilcraft Inc RFC0810B-334KE|Coilcraft RFC0810B-334KE |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC0810B-334KE | Bulk | 324 | 1 |
|
Buy Now | |||||
Coilcraft Inc RFC0807B-474KE|Coilcraft RFC0807B-474KE |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC0807B-474KE | Bulk | 232 | 1 |
|
Buy Now | |||||
Coilcraft Inc RFC0807B-684KE|Coilcraft RFC0807B-684KE |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC0807B-684KE | Bulk | 214 | 1 |
|
Buy Now | |||||
|
RFC0807B-684KE | 120 |
|
Buy Now | |||||||
Coilcraft Inc RFC0807B-333KE|Coilcraft RFC0807B-333KE |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC0807B-333KE | Bulk | 213 | 1 |
|
Buy Now | |||||
Coilcraft Inc RFC0810B-104KE|Coilcraft RFC0810B-104KE |
|||||||||||
| Distributors | Part | Package | Stock | Lead Time | Min Order Qty | Price | Buy | ||||
|
RFC0810B-104KE | Bulk | 158 | 1 |
|
Buy Now | |||||
|
RFC0810B-104KE | 97 |
|
Buy Now | |||||||
|
RFC0810B-104KE | 44 | 1 |
|
Buy Now | ||||||
RFC 08 Datasheets Context Search
| Catalog Datasheet | Type | Document Tags | |
|---|---|---|---|
|
Contextual Info: F-205-1 MICRO RF CABLE ASSEMBLY SKS SPEC IFIC A TIO N S For complete specifications www.samtec.com? RFC-081 or www.samtec.com?RFC-113 Shell Material: Brass Contact Material: Brass Operating Temperature: -65°C to +165°C Voltage Rating: 170V max Dielectric Withstanding |
OCR Scan |
f-205-1rfc-081rfc-113152mm+1 | |
|
Contextual Info: RF CONNECTORS RFC SERIES Introduction: Adam Tech’s RFC series RF connectors are a comprehensive assortment of Radio Frequency signal connectors in standard, miniature, sub-miniature, micro miniature and surface mount styles. Included are BNC, TNC, FME, FMA, SMA, SMB, N, F, PAL, UHF, |
Original |
rf12-05-t-00-50-grf28-01-t-00-50-grf20-01-p-00-50-g6994-xx+1 | |
|
Contextual Info: RF CONNECTORS RFC SERIES Introduction: Adam Tech’s RFC series RF connectors are a comprehensive assortment of Radio Frequency signal connectors in standard, miniature, sub-miniature, micro miniature and surface mount styles. Included are BNC, TNC, FME, FMA, SMA, SMB, N, F, PAL, UHF, |
Original |
55u/58/58a/58c/140u/141/41a/142u/223u/303174u/188a/316u179u/187u+4 | |
086S
Abstract: 223U
|
Original |
55u/58/58a/58c/140u/141/41a/142u/223u/303174u/188a/316u179u/187u+6 | |
sma straight pcb mount
Abstract: RF Connectors BNC T connectors BNC RECEPTACLE Right Angle for PCB Mount RG-213 uhf crimp SMA Connectors Bulkhead n type adapter female to sma female bulkhead pcb MOUNT of SMA sma n type f type connectors
|
Original |
sma straight pcb mountrf connectorsbnc t connectorsbnc receptacle right angle for pcb mount+6 | |
RF207
Abstract: MMCX FEMALE SMT MOUNT 086S rf107 RF205 E224053 d hole sma connector panel MCX Female Panel Chassis Connector MMCX FEMALE PCB MOUNT RF2001
|
Original |
rf12-05-t-00-50-grf28-01-t-00-50-grf20-01-p-00-50-g6994-xx+11 | |
bnc t splitter
Abstract: E224053 "RF Connectors" 086S 223U
|
Original |
55u/58/58a/58c/140u/141/41a/142u/223u/303174u/188a/316u179u/187u+9 | |
bnc t splitter
Abstract: RF2-02-T-02-50-G MMCX FEMALE SMT MOUNT rf207 MCX FEMALE PCB MOUNT surface Mount Female bnc connector
|
Original |
rf12-05-t-00-50-grf20-01-p-00-50-grf28-01-t-00-50-g6994-xx+7 | |
bnchContextual Info: ADAM TECH RF CONNECTORS RFC SERIES ADAM TECHNOLOGIES INC. INTRODUCTION: Adam Tech RF Series Connectors are high frequency connectors offering broadband performance with low reflection and constant 50 or 75 ohm impedance. They are economical, durable and available in |
OCR Scan |
mil-c-39012bnch | |
marking mosmicContextual Info: S904T/S904TR Vishay Semiconductors MOSMIC for TV–Tuner Prestage with 9 V Supply Voltage MOSMIC - MOS Monolithic Integrated Circuit Electrostatic sensitive device. Observe precautions for handling. Applications RFC C block Low noise gain controlled input stages in UHF-and |
Original |
s904t/s904trs904t08-apr-05marking mosmic | |
|
Contextual Info: Drop-In Monolithic Ampli er DC-1 GHz Features • Beneits: •lowerdevicevoltage,3.7typ. •lowerpowerdissipationintheMMIC •mayeliminateneedforchoke RFC |
Original |
msa-0885avv105 | |
6gk7343-1ex21-0xe0
Abstract: CP343-1 RFC1006 S7-300
|
Original |
6gk7343-1ex21-0xe0cp343-1s7-300rfc1006 | |
mcc95-16io1b
Abstract: MCC95-14IO1B 10MSA MCC72-08IO1B
|
OCR Scan |
mcc19-08io1bmcc19-12io1bmcc19-14io1bmcc19-16io1b+10 | |
Adam TechnologiesContextual Info: ADAM TECH RF CONNECTORS RFC SERIES ADAM TECHNOLOGIES INC. INTRODUCTION: Adam Tech RF Series Connectors are high frequency connectors offering broadband performance with low reflection and constant 50 or 75 ohm impedance. They are economical, durable and available in |
OCR Scan |
mil-c-39012adam technologies | |
|
|
|||
|
Contextual Info: Surface Mount Monolithic Amplifier DC-1 GHz Product Features • Exact footprint substitute for MAR-8SM and MSA-0886a,b Benefits: • lower device voltage, 3.7 typ. • lower power dissipation in the MMIC • may eliminate need for choke RFC • High gain, 31.5 dB at 0.1GHz, reduces component count |
Original |
msa-0886aww107 | |
MSA-08Contextual Info: Surface Mount Monolithic Amplifier DC-1 GHz Product Features • Exact footprint substitute for MAR-8SM and MSA-0886a,b Benefits: • lower device voltage, 3.7 typ. • lower power dissipation in the MMIC • may eliminate need for choke RFC • High gain, 31.5 dB at 0.1GHz, reduces component count |
Original |
msa-0886aww1072002/95/ecmsa-08 | |
|
Contextual Info: Surface Mount Monolithic Amplifier DC-1 GHz Product Features • Exact footprint substitute for MAR-8SM and MSA-0886a,b Benefits: • lower device voltage, 3.7 typ. • lower power dissipation in the MMIC • may eliminate need for choke RFC • High gain, 31.5 dB at 0.1GHz, reduces component count |
Original |
msa-0886aww107 | |
|
Contextual Info: RF CONNECTORS W.FL, MHF, MMCX & MCX Styles RFC SERIES RF7 Type 08 RF11 Type 01 TNC Female Crimp ø.177 [4.50] .472 [12.00] .236 [6.00] RF11-01-T-00-50-G Enlarged to show detail 1.200 [30.50] RF7-08-T-02-50-G .177 [4.50] .236 [6.00] RF12 Type 05 RF12 Type 04 |
Original |
rf11-01-t-00-50-grf7-08-t-02-50-grf12-04-t-00-50-grf12-05-t-00-50-g+4 | |
MAR-8AContextual Info: Drop-In Monolithic Amplifier DC-1 GHz Features • Exact foot print substitute for MAR-8 and MSA-0885a,b Benefits: • lower device voltage, 3.7 typ. • lower power dissipation in the MMIC • may eliminate need for choke RFC • High gain, 31.5 dB at 0.1 GHz, reduces component count |
Original |
msa-0885avv105mar-8a | |
|
Contextual Info: Drop-In Monolithic Amplifier DC-1 GHz Features • Exact foot print substitute for MAR-8 and MSA-0885a,b Benefits: • lower device voltage, 3.7 typ. • lower power dissipation in the MMIC • may eliminate need for choke RFC • High gain, 31.5 dB at 0.1 GHz, reduces component count |
Original |
msa-0885avv105 | |
RF1101Contextual Info: RF CONNECTORS BNC Style RFC SERIES RF1 Type 01 RF1 Type 01V BNC Right Angle Female PCB Mount BNC Straight Female PCB Mount 1.390 [35.30] 1.37 [34.80] .523 [13.30] .515 [13.10] ø.38 [9.60] .400 [10.16] ø.38 [9.60] .169 [4.30] 1/2" 28 UNEF .826 [21.00] |
Original |
rf1-01-p-00-50rf1-01v-p-00-75rf1-01a-p-00-50rf1-03-d-05-75+6 | |
MSA-0866
Abstract: MSA086 monolithic amplifier MAR ENV08T3
|
Original |
msa-0886aww107msa-0866msa086+2 | |
rf107
Abstract: RF1101 MMCX FEMALE PCB MOUNT MMCX FEMALE SMT MOUNT RF2001 rf207 surface Mount Female bnc connector 7/16 UNF female connector RF1-07-T-00-75 RF11-01-T-00-50-G
|
Original |
rf1-01v-p-00-75rf1-01-p-00-50rf1-01a-p-00-50rf1-03-d-05-75+15 | |
MMCX FEMALE SMT MOUNT
Abstract: RF1101 rf107 wfl 1200 rf207 RF1-07-T-00-75 MMCX FEMALE PCB MOUNT RF306 RF28 MMCX connector
|
Original |
rf1-01-p-00-50rf1-01v-p-00-75rf1-01a-p-00-50rf1-03-d-05-75+15 | |